> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wirespeed.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get pending SKU change request for a client team



## OpenAPI

````yaml https://api.wirespeed.co/v1/openapi.json get /v1/team/client/{teamId}/sku-change-request/pending
openapi: 3.0.0
info:
  title: Wirespeed API
  description: The public Wirespeed API. v1 is the first stable contract.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.wirespeed.co
security: []
tags: []
paths:
  /v1/team/client/{teamId}/sku-change-request/pending:
    get:
      tags:
        - Team
      summary: Get pending SKU change request for a client team
      operationId: TeamController_getClientPendingSkuChangeRequest
      parameters:
        - name: teamId
          required: true
          in: path
          description: The client team ID
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PendingSkuChangeRequestDto'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpError'
      security:
        - bearer: []
components:
  schemas:
    PendingSkuChangeRequestDto:
      type: object
      properties:
        pending:
          type: boolean
          description: Whether a pending request exists for this team
        requestedSku:
          type: string
          enum:
            - identity
            - adr
          nullable: true
        requestId:
          type: string
          nullable: true
      required:
        - pending
    HttpError:
      type: object
      properties:
        message:
          type: string
        statusCode:
          type: number
      required:
        - message
        - statusCode
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````